Subject: Re: [PATCH net-next] net: axienet: Use NAPI for TX completion path

From: Jakub Kicinski <[email-masked]>
Date: Wed, 4 May 2022 19:20:28 -0700

On Mon, 2 May 2022 19:30:51 +0000 Radhey Shyam Pandey wrote:
> > This driver was using the TX IRQ handler to perform all TX completion
> > tasks. Under heavy TX network load, this can cause significant irqs-off
> > latencies (found to be in the hundreds of microseconds using ftrace).
> > This can cause other issues, such as overrunning serial UART FIFOs when
> > using high baud rates with limited UART FIFO sizes.
> > 
> > Switch to using the NAPI poll handler to perform the TX completion work
> > to get this out of hard IRQ context and avoid the IRQ latency impact.  
> 
> Thanks for the patch. I assume for simulating heavy network load we
> are using netperf/iperf. Do we have some details on the benchmark
> before and after adding TX NAPI? I want to see the impact on
> throughput.

Seems like a reasonable ask, let's get the patch reposted 
with the numbers in the commit message.